> ## Documentation Index
> Fetch the complete documentation index at: https://docs.techslayers.ca/llms.txt
> Use this file to discover all available pages before exploring further.

# Start scan (GET)

> Initiate a scan using query parameters.

# Start scan (GET)

Initiates a scan using query parameters. Requires `url` and accepts an optional `mode`.


## OpenAPI

````yaml openapi/rtswpscan.json GET /scan
openapi: 3.0.0
info:
  title: RTS WPScan API
  description: RTS WPScan API for performing WordPress scans and retrieving reports
  version: '1.0'
servers:
  - url: https://rtswpscan.slayers.tech
security: []
paths:
  /scan:
    get:
      summary: Initiate a new scan
      parameters:
        - name: url
          in: query
          description: URL to scan
          required: true
          schema:
            type: string
        - name: mode
          in: query
          description: Mode of scanning (normal by default)
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Scan initiated successfully
          content:
            '*/*':
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  scan_id:
                    type: string
                    example: unique_report_id
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Unauthorized
      security:
        - APIKeyHeader: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      name: API-Key
      in: header

````